import 'package:flutter/material.dart';
import 'package:sigmob_plugin/sigmob_plugin.dart';
import 'package:sigmob_plugin_example/router/index.dart';


class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {

  String _sdkVersion = 'unknow';

  @override
  void initState() {
    super.initState();
    init();
  }

  void init() async {
    SigmobPlugin.initWithAppId(appId: '7986', appKey: 'ffe5fe961c545a44', usedMediation: true);
    String sdkVersion = await SigmobPlugin.sdkVersion;
    setState(() {
      _sdkVersion = sdkVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: ListView(
        children: <Widget>[
          GestureDetector(
            onTap: () {
              MyRouter.navigateTo(context, '/splashAdPage');
            },
            child: Container(
              child: ListTile(
                title: Text('开屏广告'),
              ),
              // 下边框
              decoration: BoxDecoration(
                  border: Border(
                      bottom: BorderSide(width: 1, color: Color(0xffe5e5e5))
                  )
              ),
            ),
          ),
          GestureDetector(
            onTap: () {
              MyRouter.navigateTo(context, '/rewardVideoAdPage');
            },
            child: Container(
              child: ListTile(
                title: Text('激励视频广告'),
              ),
              // 下边框
              decoration: BoxDecoration(
                  border: Border(
                      bottom: BorderSide(width: 1, color: Color(0xffe5e5e5))
                  )
              ),
            ),
          ),
          GestureDetector(
            onTap: () {
              MyRouter.navigateTo(context, '/fullscreenVideoAdPage');
            },
            child: Container(
              child: ListTile(
                title: Text('全屏视频视频广告'),
              ),
              // 下边框
              decoration: BoxDecoration(
                  border: Border(
                      bottom: BorderSide(width: 1, color: Color(0xffe5e5e5))
                  )
              ),
            ),
          ),
          Container(
            child: Column(
              children: <Widget>[
                Padding(
                  padding: EdgeInsets.all(10),
                  child: Text('sdkVersion: $_sdkVersion'),
                ),
              ],
            )
          ),
        ],
      ),
    );
  }
}
