import 'package:fluro/fluro.dart';
import 'package:flutter/material.dart';
import 'package:sigmob_plugin_example/pages/fullscreen_video_ad_page.dart';
import 'package:sigmob_plugin_example/pages/rewardvideo_ad_page.dart';
import 'package:sigmob_plugin_example/pages/splash_ad_page.dart';

class MyRouter {

  static final router = Router();

  MyRouter() {
    _definePageHandler();
  }

  var splashPageHandler = Handler(handlerFunc: (BuildContext context, Map<String, dynamic> params) {
    return SplashAdPage();
  });

  var rewardAdPageHandler = Handler(handlerFunc: (BuildContext context, Map<String, dynamic> params) {
    return RewardVideoAdPage();
  });

  var fullscreenAdPageHandler = Handler(handlerFunc: (BuildContext context, Map<String, dynamic> params) {
    return FullscreenVideoAdPage();
  });

  _definePageHandler() {
    router.define('/splashAdPage', handler: splashPageHandler);
    router.define('/rewardVideoAdPage', handler: rewardAdPageHandler);
    router.define('/fullscreenVideoAdPage', handler: fullscreenAdPageHandler);
  }

  static void navigateTo(BuildContext context, String path, {TransitionType transition = TransitionType.native}) {
    router.navigateTo(context, path, transition: transition);
  }





}
