
import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

import 'flutter_sigmob_interstitial.dart';
import 'flutter_sigmob_reward.dart';

class SigmobPlugin {
  static const MethodChannel _channel =
      const MethodChannel('sigmob_plugin');

  /// 获取广告sdk的版本号
  static Future<String> get sdkVersion async {
    final String version = await _channel.invokeMethod('getSdkVersion');
    return version;
  }

  /// 初始化sdk
  static Future<void> initWithAppId ({@required String appId, @required String appKey, @required bool usedMediation}) async {
    // 将channel传递到激励视频和全屏视频
    await FlutterSigmobRewardVideoAd.instance.setChannel(_channel);
    await FlutterSigmobInterstitialAd.instance.setChannel(_channel);
    // 初始化广告sdk
    var args = <String, dynamic>{'appId': appId, 'appKey': appKey};
    _channel.invokeMethod('initWithAppId', args);
  }
}
